package com.ruoyi.system.domain;

import java.io.Serializable;
import java.util.List;
import java.util.StringJoiner;

/**
 * @ClassName: TRegionVo
 * @Author: 于学智
 * @Description:
 * @CreateDate: 2023/9/19 17:29
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class TRegionVo implements Serializable {
    private String code;
    private String name;
    private List<TRegionVo> child;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<TRegionVo> getChild() {
        return child;
    }

    public void setChild(List<TRegionVo> child) {
        this.child = child;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", TRegionVo.class.getSimpleName() + "[", "]")
                .add("code='" + code + "'")
                .add("name='" + name + "'")
                .add("child=" + child)
                .toString();
    }
}
